Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParameterObject

    java.lang.Object
      igeo.IParameterObject

All Implemented Interfaces:
  ISubobject

Direct Known Subclasses:
  IBool, IBoolR, IBoolR.And, IBoolR.Eq, IBoolR.Not, IBoolR.Or, ICurveR.IsClosed, ICurveR.Pt, ICurveR.Tan, ICurveR.U, ICurveR.U2, IDouble, IDoubleR, IDoubleR.Abs, IDoubleR.ACos, IDoubleR.Add, IDoubleR.ASin, IDoubleR.ATan, IDoubleR.ATan2, IDoubleR.Cos, IDoubleR.Deg, IDoubleR.Div, IDoubleR.Eq, IDoubleR.Exp, IDoubleR.FromInt, IDoubleR.Inv, IDoubleR.Log, IDoubleR.Mul, IDoubleR.Neg, IDoubleR.Pow, IDoubleR.Rad, IDoubleR.Sin, IDoubleR.Sq, IDoubleR.Sqrt, IDoubleR.Sub, IDoubleR.Tan, IInteger, IIntegerR, IIntegerR.Add, IIntegerR.Div, IIntegerR.Eq, IIntegerR.FromDouble, IIntegerR.Mod, IIntegerR.Mul, IIntegerR.Neg, IIntegerR.Sub, IMeshGeo, INurbsGeo, ISurfaceR.IsFlat, ISurfaceR.IsUClosed, ISurfaceR.IsVClosed, ISurfaceR.Normal, ISurfaceR.Pt, ISurfaceR.UTan, ISurfaceR.UV, ISurfaceR.UV2, ISurfaceR.VTan, ITextGeo, IVec, IVec2, IVec2f, IVec2R, IVec2R.Add, IVec2R.Angle, IVec2R.Cross, IVec2R.Dist, IVec2R.Dist2, IVec2R.Div, IVec2R.Dot, IVec2R.Eq, IVec2R.EqX, IVec2R.EqY, IVec2R.FromX, IVec2R.FromXY, IVec2R.FromY, IVec2R.Len, IVec2R.Len2, IVec2R.Mul, IVec2R.Neg, IVec2R.Ortho, IVec2R.Ref, IVec2R.Rot, IVec2R.Scale1d, IVec2R.SetLen, IVec2R.Shear, IVec2R.Sub, IVec2R.ToVec2, IVec2R.ToVec3, IVec2R.ToVec4, IVec2R.Transform2, IVec2R.Transform3, IVec2R.TransformVec2, IVec2R.TransformVec3, IVec2R.Unit, IVec2R.X, IVec2R.Y, IVec4R, IVec4R.Add, IVec4R.Cross, IVec4R.Dist, IVec4R.Dist2, IVec4R.Div, IVec4R.Eq, IVec4R.EqW, IVec4R.EqX, IVec4R.EqY, IVec4R.EqZ, IVec4R.FromVec, IVec4R.FromVecAndW, IVec4R.FromW, IVec4R.FromX, IVec4R.FromXYZ, IVec4R.FromXYZW, IVec4R.FromY, IVec4R.FromZ, IVec4R.Mul, IVec4R.Neg, IVec4R.Ref, IVec4R.Rot, IVec4R.Rot2, IVec4R.Scale1d, IVec4R.SetLen, IVec4R.Shear, IVec4R.Sub, IVec4R.ToVec, IVec4R.ToVec2, IVec4R.ToVec2WithAxis, IVec4R.ToVec2WithAxisAndOrigin, IVec4R.ToVec2WithProjection, IVec4R.Transform3, IVec4R.Transform4, IVec4R.TransformVec3, IVec4R.TransformVec4, IVec4R.Unit, IVec4R.W, IVec4R.X, IVec4R.Y, IVec4R.Z, IVecR, IVecR.Add, IVecR.Angle, IVecR.Cross, IVecR.Dist, IVecR.Dist2, IVecR.Div, IVecR.Dot, IVecR.Eq, IVecR.EqX, IVecR.EqY, IVecR.EqZ, IVecR.FromX, IVecR.FromXYZ, IVecR.FromY, IVecR.FromZ, IVecR.Len, IVecR.Len2, IVecR.Mul, IVecR.Neg, IVecR.Ref, IVecR.Rot, IVecR.Rot2, IVecR.Scale1d, IVecR.SetLen, IVecR.Shear, IVecR.Sub, IVecR.ToVec2, IVecR.ToVec2WithAxis, IVecR.ToVec2WithAxisAndOrigin, IVecR.ToVec2WithProjection, IVecR.Transform3, IVecR.Transform4, IVecR.TransformVec3, IVecR.TransformVec4, IVecR.Unit, IVecR.X, IVecR.Y, IVecR.Z

    public class IParameterObject

extends java.lang.Object
implements ISubobject

A subobject of IObject to contain numerical geometry data

Author:
  Satoru Sugihara

Field Summary
`IObject` | `parent`

Constructor Summary
`IParameterObject()` default constractor doesn't instantiate parent IObject
`IParameterObject(IServerI holder)` constractor with IServerI arument instantiate parent element and stores in the IServer in the holder if the argument is not null.

Method Summary
`protected void` | `createObject(IServerI holder)`
`IObject` | `parent()` getting parent object
`ISubobject` | `parent(IObject parent)` setting parent object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    public IObject parent

Constructor Detail

### IParameterObject

    public IParameterObject()

  default constractor doesn't instantiate parent IObject

### IParameterObject

    public IParameterObject(IServerI holder)

  constractor with IServerI arument instantiate parent element and stores in the IServer in the holder if the argument is not null. if the argument is null, it's stored in default (static current) IServer

Method Detail

### createObject

    protected void createObject(IServerI holder)

### parent

    public IObject parent()

  Description copied from interface: `ISubobject`
  getting parent object

  Specified by:
    `parent` in interface `ISubobject`

### parent

    public ISubobject parent(IObject parent)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD